Subject: 24.0.50; complete-tag function is broken in emacs trunk

From: Andrew Schein <[email-masked]>
Date: Fri, 16 Sep 2011 21:55:36 -0700

I consistently get an error: "Wrong number of arguments: (3 . 4), 5"
when trying to run the complete-tag command interactively.

To re-produce this error, I enter the lisp/progmodes directory in the
emacs source and open the file etags.el using "emacs -Q".

Then I run find-tag to find "find-tag"  This causes emacs to load a
TAGS table file.  (I can forward the TAGS file itself if necessary).

Then I scroll to the bottom of the buffer, type "find" and then M-x
complete-tag <enter>.

Thanks in advance for any help with this matter.

Andy

--
Andrew I. Schein
www.andrewschein.com

-- 
Andrew I. Schein
www.andrewschein.com